Method: advertisers.manualTriggers.activate

  • Activating a manual trigger requires a POST request to a specific URL including advertiser and trigger IDs.

  • There must be at least a 5-minute gap between manual trigger activations.

  • The request body for activating a manual trigger must be empty.

  • A successful activation returns a ManualTrigger instance in the response body.

  • This operation requires the https://www.googleapis.com/auth/display-video OAuth scope for authorization.

Activates a manual trigger. Each activation of the manual trigger must be at least 5 minutes apart, otherwise an error will be returned.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/manualTriggers/{triggerId}:activate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser that the manual trigger belongs.

triggerId

string (int64 format)

Required. The ID of the manual trigger to activate.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ManualTrigger.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.